<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2025 (x64) (https://www.altova.com) by CGI IT CZECH REPUBLIC S.R.O. (CGI IT CZECH REPUBLIC S.R.O.) -->
<!-- edited with XMLSpy v2007 (http://www.altova.com) by Tomas Silar (LogicaCMG s.r.o.) -->
<!-- edited with XMLSPY v2004 rel. 4 U (http://www.xmlspy.com) by Jakub Jicha (LogicaCMG s.r.o.) -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/oze/response" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/oze/response" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:element name="RESRESPONSE">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:ResSenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ResReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Reference na předchozí zprávu (na kterou je odpovídáno)</xsd:documentation>
						<xsd:documentation xml:lang="EN">Reference to the previous message (the one that is answered)</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reason" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation>Zpráva</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:attribute name="class" use="required">
							<xsd:annotation>
								<xsd:documentation>Třída zprávy</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="20"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="type" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Typ zprávy</xsd:documentation>
								<xsd:documentation xml:lang="EN">Response type (rejection, acceptation...)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="1"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="code" use="required">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Číslo zprávy</xsd:documentation>
								<xsd:documentation xml:lang="EN">Error number (code)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="3"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="text" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Text odpovědi</xsd:documentation>
								<xsd:documentation xml:lang="EN">Trade id</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="300"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="var-1" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Proměnná zprávy 1</xsd:documentation>
								<xsd:documentation xml:lang="EN">Version</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="50"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="var-2" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Proměnná zprávy 2</xsd:documentation>
								<xsd:documentation xml:lang="EN">Version</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="50"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="var-3" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Proměnná zprávy 3</xsd:documentation>
								<xsd:documentation xml:lang="EN">Version</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="50"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="var-4" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Proměnná zprávy 4</xsd:documentation>
								<xsd:documentation xml:lang="EN">Version</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="50"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="block-id">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">ID Bloku</xsd:documentation>
								<xsd:documentation xml:lang="EN">Id of fault logical block</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="5"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="block-source">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">ID Výrobního zdroje</xsd:documentation>
								<xsd:documentation xml:lang="EN">PDT id for which the message is relevant</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="20"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
						<xsd:attribute name="result-code" use="optional">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Číslo chybové zprávy a zdrojový systém</xsd:documentation>
								<xsd:documentation xml:lang="EN">Error number (code)</xsd:documentation>
							</xsd:annotation>
							<xsd:simpleType>
								<xsd:restriction base="xsd:string">
									<xsd:maxLength value="6"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:attribute>
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu (významu) zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content (meaning) specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="PC2">
							<xsd:annotation>
								<xsd:documentation>Potvrzení / chyba v zadání / aktualizace reklamace</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PC5">
							<xsd:annotation>
								<xsd:documentation>Potvrzení / chyba v dotazu na data reklamace</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PR2">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba registrace nároku na podporu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PR6">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba v aktualizaci registrace nároku na podporu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PRC">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba v potvrzení/zamítnutí shody s SoP a PPP</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PRK">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba v dotazu na registrovaný nárok na podporu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PRW">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba ve schválení PDS/PPS</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PD2">
							<xsd:annotation>
								<xsd:documentation>Potvrzení / chyba v měsíční výkazu o výrobě z OZE</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PD5">
							<xsd:annotation>
								<xsd:documentation>Potvrzení / chyba v dotazu na měsíční výkaz o výrobě z OZE</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PDE">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba v informaci o vyplacení podpory povinně vykupujícím</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PDH">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba v dotazu o vyplacení podpory povinně vykupujícím</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PDK">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba v dotazu na data PDS/PPS</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PDN">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba v dotazu na souhrnné množství dodávky do sítě</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PDQ">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba v dotazu na data svorkové výroby vnořeného výrobce</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PI2">
							<xsd:annotation>
								<xsd:documentation>Potvrzení/chyba v dotazu na výsledky zúčtování podpory</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="TD2">
							<xsd:annotation>
								<xsd:documentation>Potvrzení / chyba v měsíčním výkazu o výrobě z tepelného zdroje</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="TD5">
							<xsd:annotation>
								<xsd:documentation>Potvrzení / chyba v dotazu na měsíční výkaz o výrobě z tepelného zdroje</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PF2">
							<xsd:annotation>
								<xsd:documentation>Potvrzení / chyba v datech výkazu paliv</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PF5">
							<xsd:annotation>
								<xsd:documentation>Potvrzení / chyba v dotazu na data výkazu paliv</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PO2">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení / chyba oznámení individuálního opatření k zajištění přiměřenosti podpory</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PO5">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení / chyba v dotazu na oznámení individuálního opatření k zajištění přiměřenosti podpory</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PP2">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba registrace nároku na podporu biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PPC">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba v potvrzení/zamítnutí shody údajů s PDS/PPS</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PP5">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba v aktualizaci nároku na podporu biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PPH">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba v dotazu na registrovaný nárok na podporu biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PG2">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba v měsíčním výkazu o výrobě biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PG5">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba v dotazu na měsíční výkaz o výrobě biometanu</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="TD8">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba v ročním výkazu k transformaci výroby tepla</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="TDB">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba v dotazu na roční výkaz k transformaci výroby tepla</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PK2">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba registrace dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PK5">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba aktualizace registrace dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PK9">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba výsledku ověření ze strany PDS/PPS</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKD">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba výsledku schválení ze strany výrobce</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PKH">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba dotazu na registraci dobíjecí stanice</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PT2">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba v měsíčním výkazu palivového zařízení</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="PT5">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">Potvrzení/chyba v dotazu na měsíční výkaz palivového zařízení</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>